% Grfico dos dados meteorologicos

clear all
close all

load info.txt
load saida_dados_meteorologicos.txt 

U = saida_dados_meteorologicos(:,1);
Ta = saida_dados_meteorologicos(:,2);
UR = saida_dados_meteorologicos(:,3);
qs = saida_dados_meteorologicos(:,4);

t_simulacao = info(4,1);  
t_saida = info(5,1);      
dt = info(7,1); 
n = t_simulacao / t_saida;     
j = 0 : n-1;
k=30;


subplot(4,1,1)
plot (j, U)
set(gca,'XTickLabel','')
Xt = 0:k:n-1;
Xl = [0 n-1];
set(gca,'XTick',Xt,'XLim',Xl);
set(gca,'XTickLabel','')
ylabel('U (ms^-^1)')
set(gcf,'Color','w')  

subplot(4,1,2)
plot (j, Ta)
Xt = 0:k:n-1;
Xl = [0 n-1];
set(gca,'XTick',Xt,'XLim',Xl);
set(gca,'XTickLabel','')
ylabel('T_a (C)')
set(gcf,'Color','w') 

subplot(4,1,3)
plot (j, UR)
Xt = 0:k:n-1;
Xl = [0 n-1];
set(gca,'XTick',Xt,'XLim',Xl);
set(gca,'XTickLabel','')
ylabel('UR (%)')
set(gcf,'Color','w') 

subplot(4,1,4)
plot (j, qs)
Xt = 0:k:n-1;
Xl = [0 n-1];
ax = axis; 
axis(axis);
Yl = ax(3:4);
ylabel('qs (Wm^-^2)')
xlabel('dias')
set(gcf,'Color','w')            
