% Visualizao da temperatura em funo do tempo e espao

clear all
close all

 load depth.txt             % matriz de dados de profundidade 
 load perfis_medios.txt     % matriz com as temperaturas
 load info.txt              % outros dados necessrios
 load nivel_medio.txt       % nivel
 
 % Leitura dos dados de elevao, tempo e temperatura
 z = depth(:,1);                % elevao
 T1 = perfis_medios (:,:);      % perfis
 t_simulacao = info(4,1);   % tempo total de simulao
 t_saida = info(5,1);       % tempo em que so gerados os perfis : horrios, etc...
 nivel = nivel_medio(:);
 
 % Da simulao
 % nmero de perfis gerados da simulao
 n = t_simulacao / t_saida;     % nmero de perfis gerados pela mdia 
 j =0: n-1;     % nmero de perfis gerados pela mdia horria
 k=30;
 
 
 T1(find(T1== -9.999000000000000e+02)) = NaN;
 
 % Transposta da matriz de temperatura para grfico de tempo x elevao
 
 T = T1';
 
 % Grfico da temperatura em funo do tempo e profundidade
 
 %Figure(1)
 
contourf (j, z, T, 100);
xlabel('dias');
Xt = 0:k:n-1;
Xl = [0 n-1];
set(gca,'XTick',Xt,'XLim',Xl);
ax = axis; 
axis(axis);
Yl = ax(3:4);
ylabel('z (m)');
caxis([10 30]);
colorbar;               
shading flat;           
set(gcf,'Color','w'); 
legend ('T(C)')


