module constantes
!
! Modelo de Transporte de Calor unidimensional em reservatrios
! Implementao: Mtodo de volumes finitos
! Bruna Arcie Polli
! Orientador: Tobias Bleninger
! Mestrado em Engenharia de Recursos Hdricos e Ambiental - PPGERHA, UFPR 2014
! Mdulo para definio das constantes
!-----------------------------------------------------------------------
implicit none

double precision,parameter:: Hmax=23.42d0				! Profundidade mdia do lago
double precision,parameter:: tempo=(365.d0)*86400.		! Tempo total de simulao
double precision,parameter:: kappa=0.4d0				! Constante de von Karman
double precision,parameter:: P0=1.d0					! Nmero de Prandtl turbulento neutro
double precision,parameter:: g=9.81d0					! acelerao da gravidade
double precision,parameter:: phi=9.1914d0				! Latitude do reservatrio
double precision,parameter:: as=0.07d0					! Albedo da radiao de ondas curtas
double precision,parameter:: eta=1.0d0					! Coeficiente de extino 1 tava melhor!!!!!
double precision,parameter:: beta=0.45					! Proporo de radiao de ondas curtas absorvida na superfce do reservatrio
double precision, parameter:: Volume= 577.22E6			! Volume do reservatrio

! Parametros pro n de Froude
double precision, parameter:: hf=2.5d0					
double precision, parameter:: Bf=900.d0
double precision:: Lf=1000.d0							! Fetch

! Sada de dados

double precision,parameter:: t_saida =86400. 			! intervalo em ser calculada as temperaturas mdias - para os grficos
double precision,parameter:: t_media = 3600.d0			! intervalo para calcular a mdia mvel da velocidade do vento
double precision,parameter:: t_dados_Temp = 3600.d0		! intervalo de medio de temperatura no campo
integer, parameter:: npm = tempo /t_dados_Temp			! nmero de perfis de temperatura medidos
integer, parameter:: np = tempo / t_saida				! nmero de perfis gerados para visualizaes das temperaturas simuladas
integer, parameter:: m_temp = 7							! nmero de pontos de temperatura medidos em campo
		
double precision, parameter:: dt=3600.d0		! Intervalo de tempo
double precision, parameter:: dz=0.5
integer, parameter:: m_max=49

end module constantes
!-----------------------------------------------------------------------