% Grfico dos dados meteorologicos

clear all
close all

load info.txt
load saida_dados_meteorologicos.txt 
load vazao.txt
load temperatura_inflow.txt

U = saida_dados_meteorologicos(:,1);
Ta = saida_dados_meteorologicos(:,2);
UR = saida_dados_meteorologicos(:,3);
qs = saida_dados_meteorologicos(:,4);
vaz = vazao(:,1);
Ti = temperatura_inflow(:,1);

% read text file (l a data comouma string)
fid = fopen('time.txt','rt'); 
C = textscan(fid,'%s ');  % reads string string string number
fclose(fid); % closes file

%associar parametros as colunas
time = C{1};  % combines date and time into one string
tempo = time;%datenum(time,'dd/mm/yyyy');

t_simulacao = info(4,1);  
t_saida = info(5,1);      
dt = info(7,1); 
n = t_simulacao / t_saida;     
j = 0 : n-1;
k=30;


subplot(6,1,1)
plot (j, U)
set(gca,'XTickLabel','')
Xt = 0:k:n-1;
Xl = [0 n-1];
set(gca,'XTick',Xt,'XLim',Xl);
set(gca,'XTickLabel','')
ylabel('U (ms^-^1)')
set(gcf,'Color','w')  

subplot(6,1,2)
plot (j, vaz)
set(gca,'XTickLabel','')
Xt = 0:k:n-1;
Xl = [0 n-1];
set(gca,'XTick',Xt,'XLim',Xl);
set(gca,'XTickLabel','')
ylabel('Q_i_n (m^3s-^1)')
set(gcf,'Color','w')

subplot(6,1,3)
plot (j, Ti)
set(gca,'XTickLabel','')
Xt = 0:k:n-1;
Xl = [0 n-1];
set(gca,'XTick',Xt,'XLim',Xl);
set(gca,'XTickLabel','')
ylabel('T_r_i_o (C)')
set(gcf,'Color','w')

subplot(6,1,4)
plot (j, Ta)
Xt = 0:k:n-1;
Xl = [0 n-1];
set(gca,'XTick',Xt,'XLim',Xl);
set(gca,'XTickLabel','')
ylabel('T_a (C)')
set(gcf,'Color','w') 

subplot(6,1,5)
plot (j, UR)
Xt = 0:k:n-1;
Xl = [0 n-1];
set(gca,'XTick',Xt,'XLim',Xl);
set(gca,'XTickLabel','')
ylabel('UR (%)')
set(gcf,'Color','w') 

subplot(6,1,6)
plot (j, qs)
Xt = 0:k:n-1;
Xl = [0 n-1];
set(gca,'XTick',Xt,'XLim',Xl);
ax = axis; 
axis(axis);
Yl = ax(3:4);
ylabel('qs (Wm^-^2)')
%xlabel('dias')
set(gcf,'Color','w')  
% Place the text labels
t = text(Xt,Yl(1)*ones(1,length(Xt)),time(1:k:n-1,:)); 
set(t,'HorizontalAlignment','right','VerticalAlignment','top', ...
'Rotation',45);
set(gca,'XTickLabel','')
% end text labels
