% Visualizao da temperatura em funo do tempo e espao

clear all
close all

 load depth.txt             % matriz de dados de profundidade 
 load perfis_medios.txt     % matriz com as temperaturas
 load info.txt              % outros dados necessrios
 %load nivel_medio.txt       % nivel
 load termoclina.txt
 
 % Leitura dos dados de elevao, tempo e temperatura
 z = depth(:,1);                % elevao
 T1 = perfis_medios (:,:);      % perfis
 t_simulacao = info(4,1);   % tempo total de simulao
 t_saida = info(5,1);       % tempo em que so gerados os perfis : horrios, etc...
 %nivel = nivel_medio(:);
 term=termoclina(:,2);
 
 % Da simulao
 % nmero de perfis gerados da simulao
 n = t_simulacao / t_saida;     % nmero de perfis gerados pela mdia 
 j =0: n-1;     % nmero de perfis gerados pela mdia horria
 k=30;
 
% read text file (l a data comouma string)
fid = fopen('time.txt','rt'); 
C = textscan(fid,'%s ');  % reads string string string number
fclose(fid); % closes file

%associar parametros as colunas
time = C{1};  % combines date and time into one string
tempo = time;%datenum(time,'dd/mm/yyyy');
 
 
 T1(find(T1== -9.999000000000000e+02)) = NaN;
 
 % Transposta da matriz de temperatura para grfico de tempo x elevao
 
 T = T1';
 
 % Grfico da temperatura em funo do tempo e profundidade
 
 %Figure(1)
 
contourf (j, z, T, 100);
[CC,h] = contourf(j,z,T);
for q=1:length(h)
set(h(q),'LineStyle','none');
end
Xt = 1:k:n-1;
Xl = [1 n-1];
set(gca,'XTick',Xt,'XLim',Xl);
ax = axis; % Current axis limits
axis(axis); % Set the axis limit modes (e.g. XLimMode) to manual
Yl = ax(3:4); % Y-axis limits
% Place the text labels
t = text(Xt,Yl(1)*ones(1,length(Xt)),time(1:k:n-1,:)); 
set(t,'HorizontalAlignment','right','VerticalAlignment','top', ...
'Rotation',45);
set(gca,'XTickLabel','')
ylabel('z (m)');
caxis([20 30]);
colorbar;               
set(gcf,'Color','w'); 
legend ('T(C)')

hold on
plot(j, term, 'w')
hold off



